> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invaro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Statement Processing Status

> This endpoint allows you to check the status of bank statement processing jobs and retrieve the extracted data once processing is complete.



## OpenAPI

````yaml GET /parse/statements/{job_id}
openapi: 3.0.0
info:
  title: Invaro Document Processing API
  description: API for processing bank statements and invoices using OCR and AI
  version: 1.0.0
  contact:
    name: Invaro Support
    email: support@invaro.ai
    url: https://docs.invaro.ai
servers:
  - url: https://api.invaro.ai/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /parse/statements/{job_id}:
    get:
      tags:
        - Statement Processing
      summary: Get Statement Processing Status
      description: Check the status of a bank statement processing job
      operationId: getStatementStatus
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
          description: ID of the processing job
      responses:
        '200':
          description: Job status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: job_1739261168870934041
                      status:
                        type: string
                        enum:
                          - processing
                          - completed
                          - failed
                        example: completed
                      file_id:
                        type: string
                        example: sample_invoice.pdf
                      created_at:
                        type: string
                        format: date-time
                        example: '2025-02-11T08:19:37Z'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2025-02-11T08:19:53Z'
                      progress:
                        type: number
                        example: 45
                      results:
                        type: object
                        properties:
                          account_info:
                            type: object
                          transactions:
                            type: array
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````